# 5e réunion de travail 

Le Dimanche 21 mars 2021, sur [jitsi.deuxfleurs.fr/](https://jitsi.deuxfleurs.fr/)  
Étaient présents : M., A., Al., Q., V., L., T. (pseudonymisation pour la condidentialité)

## Ordre du jour 

* Rapport de l'AG
* Appel à projets NGI Pointer
* Avancement du site web/commission design
* Garage - explication aux autres membres qui part en discussion techniue
* Boîte à idées : membres, que désirez-vous ?
* Infrastructure : des nouvelles de la salle des machines

## Compte rendu

### Rapport de l'AG 

Mettre sur deuxfleurs.fr les rapports moral & financier, élection du bureau 2021. 

M. se propose de le faire cet aprem. À pousser sur deuxfleurs.fr après validation.

### NGI Pointer 

Appel à projet de la comission européenne, pour petites équipes (en solo ou via un organisme de recherche). Dealine 1er avril pour les soumissions. On cherche à avoir de l'argent pour 2 personnes pour bosser sur garage durant 1 an. Améliorer le backend et mettre en place un stockage IMAP. Validation des projets en mai/juin, début en septembre. A. dit que l'on a intéret à bosser avec INRIA, mais on ne veut pas qu'ils chapeautent tout. C'est même le partenaire à l'INRIA qui a dit qu'il serait mieux pour le projet que Deuxfleurs porte le projet.

Sans doute payer un comptable pour que Deuxfleurs embauche des salariés.

L. a regardé comment une asso peut embaucher. Les mairies peuvent donner de l'aide sur ce sujet.

Ca implique de créer un compte bancaire, faire un bilan comptable carré, validé par un commissaire au compte.

Le but, c'est de pouvoir dédier tout notre temps à Deuxfleurs, sans trop nous comprommettre.

On ne prévoit pas de breveter !

**Application form** : claim qui envoie du gros genre "... is broken", à étayer dans le texte. Par ex : on réplique des données, mais pourquoi ? Le problèème c'est que les données sont un « critical asset ». Ya pas de logiciel qui permette de gérer des backups de façon intégrée. On passe notre temps  à se battre avec nos softs. Nous on veut du all-in-one. 

Recrutement de T. au moins dans le consortium - parce qu'elle a de solides contribs à l'informatique libre dont on pourra se vanter.

### Commission design 

Utilisent Penpot, une app « cloud » qui permet de faire des maquettes rapidement (demandez pour y avoir accès). N'ont pu bosser que 2h dessus, car E. est très occupée.  Espèrent un peu sortir le site pour le 1er avril, mais pas sûr que ça soit nécessaire. Q. veut bien essayer de le faire, incrémentalement. E. viendra seulement retravailler les schémas.

M. dit qu'on a pas besoin d'un nouveau site pour le 1er avril, mais que le site n'a pas de version anglaise. Peut-être que ça vaudrait le coup d'essayer d'avoir une version anglaise, sur deuxfleurs.org peut-être ? Mauvais pour le référencement mais bon.

**Conclusion** : pas essayer à produire un résultat pour le 1er avril, mais réfléchir à l'internationalisation. 

### Retour sur Garage

explication : brique qui n'est pas directement visible par les utilisateurs, mais qui nous sert (dans l'infrastructure) à stocker les données des services de façon résiliente. Possibilité d'héberger les medias de zinz.dev sur Garage. 

*Discuter l'aspect multi-tenant ?* -> À faire plus tard. Pour le moment tout noeud qui stocke des données sur garage a les pleins pouvoirs. Avoir des quotas de bande passante, stockage, buckets... 

Notez vos idées pour Garage dans les issues du dépôt Gitea !

Déviation sur les différents jobs dont les membres ont entendu parler. Eh oui, chez Deuxfleurs on est aussi chasseurs de têtes - nos propres têtes !

### Boîte à idées

* V. : essayer d'humaniser l'équipe derrière Deuxfleurs. E. proposait des portraits avec fleurs en avant-plan pour garder l'anonymat : encarts sur le site pour les personnes qui le veulent.

    Réfléxion d'Al. : n'aime pas trop l'aspect trombinoscope / service de renseignements.

    Q. aurait préféré une belle photo de groupe, mais c'est pas pour demain. D'ailleurs on habite vachement loin les uns des autres.

* Q. : dans 3-5ans+, héberger les serveurs dans des tiers-lieux, type hackerspace, où on signerait un partenariat. Faciliterait l'accès par divers membres.

* Garage-party : déployer des instances de Garage ensemble.

    V. cherche et galère à trouver des ordis de seconde main. Il y a une pénurie de composants informatiques dûe à la crise sanitaire, qui se répercute sur le marché de l'occasion. M. a du matos qui dort chez lui. 

### Infrastructure

* Les serveurs principaux sont susceptibles d'être déplacés dans les deux semaines car Q. déménage. Ils partiraient chez son frère, avec une bonne fibre. 

* CryptPad mis à jour en v4.2.1 ! Résout un bug et bannit les utilisateurs Chrome (à fix - ooooof, nous ça nous convenait !). 

* Synapse(s) à jour

* Gitea & Drone pas contents - à migrer sur le kimsufi d'A. ? 

    * Ping-pong avec M. si besoin un soir pour avancer sur l'install
    * Voir ce que l'on peut réutiliser dans le repo infra (common, docker, utilisateurs)
    * Refaire un repo infra à côté ou bien faire un seul repo? -> Intérêt à mettre mon infra sur le repo de Deuxfleurs = les autres peuvent voir et évaluer mes process. Chemin de migration. 

* Métrologie

    * on a des bonnes métriques
    * et même les métriques des serveurs maintenant (via le node-exporter)
    * mettre le grafana sur le LDAP
    * récupérer les métriques de IO et de HAMMERHEAD sur le Grafana du cluster. 

* Alerting ?

    * prom-alert-manager

        * disque 
        * RAM 
        * latence 

    * chan #tech de matrix ?

        * avec un bot ?
        * https://github.com/turt2live/matrix-appservice-webhooks <- avec un wrapper webhook vers bot 

    * Alertes de dispo - à envoyer sur des adresses mail non-deuxfleurs, et sans spam

---

Dormez bien !